The sky is the limit

Vue.js、PHP、Javaなどに関する開発情報を発信しています。時々日常生活に関しても触れます

Unknown version 4 of samsung というエラーの解消

Unknown version 4 of samsung のエラー解消

vuecliで作成したアプリで、いろいろと入れてからローカル環境起動した時に起こったエラーです。

以下で解決しました。

$ npx browserslist --update-db
||< 

それでもダメならこれも可能性はあります。

>||
$ npm i
>||


これで解決しないなら無理やりやると以下の修正を加える。
ファイルの置き場所はエラー内容から確認して欲しいですが、自分は
>>
node_modules/browserslist/index.js 
<<
ここの1102行目でしたが、

>||
throw new BrowserslistError(
            'Unknown version ' + version + ' of ' + name)

となっているところを、空の配列を返すようにします。

return []

役に立ったら嬉しいです!